Skip to main content

Get Setting Types For Sandbox

GET 

/v1/sandbox/:sandbox_id/setting-type

Get all custom Setting Types for a sandbox Requires any of permissions: sandbox:config:view, sandbox:config:edit

Request

Path Parameters

    sandbox_id uuidrequired

    Sandbox ID

Query Parameters

    page_size Page Size

    Possible values: >= 1 and <= 10000

    Default value: 50

    The maximum number of elements to be returned per call

    cursor Cursor

    Possible values: non-empty and <= 128 characters

    Default value: 0

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

Responses

Successful Response

Schema

    setting_types

    object[]

    required

    A list of Setting Types

  • Array [

  • custom_data

    object

    Custom data associated with the resource

    property name* string
    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when the resource was created

    setting_type_unique_id uuidrequired

    Unique identifier for this setting type

    type Type (string)required

    User friendly identifier of setting type

    version Version (integer)

    Default value: 1

    Version of setting type schema

    value_jsonschema object

    Default value: [object Object]

    JSONSchema definition of the setting

    allow_update Allow Update (boolean)

    Default value: true

    Whether setting type can be updated

    key_regex Key Regex (string)

    Default value: ^.+$

    Regex that is used to verify keys at assignment time

  • ]

  • cursor Cursor (string)required

    Possible values: non-empty and <= 128 characters

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

Loading...